"use strict";
/**
 * DESCRIPTION: AGG_MLY_LMS_ALM_DETAILS data model used to
 *              Define AGG_MLY_LMS_ALM_DETAILS ORM data model object and
 *              to fetch the ALM details (Asset and liability management)
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALMDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the ALM Details interface attributes
class ALMDetails extends sequelize_1.Model {
}
exports.ALMDetails = ALMDetails;
// Initializing the database table structure
ALMDetails.init({
    date_key: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    particular_type: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    particular_category: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    component: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    one_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    two_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    three_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    four_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    five_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    six_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    six_twelve_month: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    one_three_year: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    three_five_years: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    five_plus_years: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    total_amount: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "AGG_MLY_LMS_ALM_DETAILS",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ALMDetails.removeAttribute("id"); // Primary Key Attribute
ALMDetails.removeAttribute("createdAt"); // Created Date Attribute
ALMDetails.removeAttribute("updatedAt"); // Update Date Attribute
