"use strict";
/**
 * DESCRIPTION:  FCT_LMS_LOAN_DETAILS data model used to
 *              Define FCT_LMS_LOAN_DETAILS ORM data model object and
 *              to fetch the Lender Information
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LenderInfo = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the Lender Details interface attributes
class LenderInfo extends sequelize_1.Model {
}
exports.LenderInfo = LenderInfo;
// Initializing the database table structure
LenderInfo.init({
    Lender_Name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Lender_ID: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Loan_Nick_Name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Sanctioned_Amount: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Loan_Amount: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Sanctioned_Date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Disbursement_Date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Listed_Unlisted: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Type_of_Product: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Type_of_Entity: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Secured_Unsecured: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Arranger: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Interest_Rate: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Tenure_months: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Processing_Fees: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Cash_Collateral: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Arranger_Fees: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Other_Fees: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Book_Debt: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Interest_Rate_Type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Principal_Repayment_Type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Interest_Repayment_Type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    "1stCall_Put_Option": {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    "2ndCall_Put_Option": {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    "3rdCall_Put_Option": {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Primary_Redemption_Date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Final_Redemption_Date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Status: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    XIRR_Percent: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    LIDID: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "FCT_LMS_LOAN_DETAILS",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
LenderInfo.removeAttribute("id"); // Primary Key Attribute
LenderInfo.removeAttribute("createdAt"); // Created Date Attribute
LenderInfo.removeAttribute("updatedAt"); // Update Date Attribute
