"use strict";
/**
 * DESCRIPTION: Kinara_Engr_Api_BillsGenerated data model used to
 *              Define Kinara_Engr_Api_BillsGenerated ORM data model object and
 *              to fetch the bill details from the perdix
 *              and save bill details to the table
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BillGenerated = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the bill generated Details interface attributes
class BillGenerated extends sequelize_1.Model {
}
exports.BillGenerated = BillGenerated;
// Initializing the database table structure
BillGenerated.init({
    ID: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    loan_account_no: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    product_code: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    product_type: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    loan_type: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    business_urn: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    business_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    customer_phone: {
        type: sequelize_1.DataTypes.STRING(15),
        allowNull: true,
    },
    applicant_fname: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    applicant_mname: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    applicant_lname: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    applicant_phone: {
        type: sequelize_1.DataTypes.STRING(15),
        allowNull: true,
    },
    tot_principle_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    tot_normal_interest_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    tot_demand_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    tot_penal_interest_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    booked_not_due_penal_interest_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    tot_fee_due: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    tot_bill_amount: {
        type: sequelize_1.DataTypes.DECIMAL(14, 2),
        allowNull: true,
    },
    bill_type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    aggr_guid: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    aggr_req_id: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    platform_mob_no: {
        type: sequelize_1.DataTypes.STRING(15),
        allowNull: true,
    },
    created_timest: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    bill_paid: {
        type: sequelize_1.DataTypes.CHAR(1),
        allowNull: true,
    },
    payment_status: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    platform_bill_no: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    tran_ref_no: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    utr1: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    utr2: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    tran_amount: {
        type: sequelize_1.DataTypes.DECIMAL(18, 2),
        allowNull: true,
    },
    tran_timest: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    kin_receipt_no: {
        type: sequelize_1.DataTypes.STRING(75),
        allowNull: true,
    },
    updated_perdix: {
        type: sequelize_1.DataTypes.CHAR(1),
        allowNull: true,
    },
    updated_timest: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    perdix_tran_id: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    perdix_response_type: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    aggr_id: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    agent_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    created_by: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_BillsGenerated",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
// BillGenerated.removeAttribute("id"); // Primary Key Attribute
BillGenerated.removeAttribute("createdAt"); // Created Date Attribute
BillGenerated.removeAttribute("updatedAt"); // Update Date Attribute
