"use strict";
/**
 * DESCRIPTION: KINARA_ENGR_API_BUSINESS_ENTITY_DETAILS DATA MODEL USED
 *              TO FETCH THE BUSINESS DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 20/05/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 27/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessEntityDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the business entity details interface attributes
class BusinessEntityDetails extends sequelize_1.Model {
}
exports.BusinessEntityDetails = BusinessEntityDetails;
// Initializing the database table structure
BusinessEntityDetails.init({
    customer_id: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    urn_no: {
        type: sequelize_1.DataTypes.STRING(16),
        allowNull: true,
    },
    business_constitution: {
        type: sequelize_1.DataTypes.CHAR(14),
        allowNull: true,
    },
    first_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    business_type: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    business_sector: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    business_sub_sector: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    door_no: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    street: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    landmark: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    pincode: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    district: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    state: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    village_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    mailing_locality: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    company_email_id: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    loan_id: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_BussEntityDetails",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
BusinessEntityDetails.removeAttribute("id"); // Primary Key Attribute
BusinessEntityDetails.removeAttribute("createdAt"); // Created Date Attribute
BusinessEntityDetails.removeAttribute("updatedAt"); // Update Date Attribute
