"use strict";
/**
 * DESCRIPTION: KINARA_ENGR_API_BUSINESSPARTNERDETAILS DATA MODEL USED
 *              TO FETCH THE DETAILS OF BUSINESS PARTNERS
 * CREATED BY: VIKAS
 * CREATED DATE: 20/05/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 27/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessPartnerDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
class BusinessPartnerDetails extends sequelize_1.Model {
}
exports.BusinessPartnerDetails = BusinessPartnerDetails;
// Define customer_api ORM data model object
BusinessPartnerDetails.init({
    customer_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Co_Applicant_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Co_date_of_birth: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    urn_no: {
        type: sequelize_1.DataTypes.STRING(16),
        allowNull: true,
    },
    mobile_phone: {
        type: sequelize_1.DataTypes.STRING(15),
        allowNull: true,
    },
    whatsapp_no: {
        type: sequelize_1.DataTypes.STRING(45),
        allowNull: true,
    },
    identity_proof: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    door_no: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    street: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    landmark: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    pincode: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    district: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    state: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    village_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    locality: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Co_applicant_id_proof_no: {
        type: sequelize_1.DataTypes.STRING(30),
        allowNull: true,
    },
    Co_applicant_pancard_no: {
        type: sequelize_1.DataTypes.STRING(16),
        allowNull: true,
    },
    email: {
        type: sequelize_1.DataTypes.STRING(150),
        allowNull: true,
    },
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    relationship: {
        type: sequelize_1.DataTypes.STRING(45),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_BusinessPartnerDetails",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
BusinessPartnerDetails.removeAttribute("id"); // Primary Key Attribute
BusinessPartnerDetails.removeAttribute("createdAt"); // Created Date Attribute
BusinessPartnerDetails.removeAttribute("updatedAt"); // Update Date Attribute
