"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DupCustDetails = void 0;
/**
 * DESCRIPTION: KINARA_ENGR_API_DEDUP_CUST_DETAILS DATA MODEL
 *              HAS THE CUSTOMER LOAN DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 23/06/2021
 */
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the api users interface attributes
class DupCustDetails extends sequelize_1.Model {
}
exports.DupCustDetails = DupCustDetails;
// Define colender_loan_parameters ORM data model object
DupCustDetails.init({
    cust_id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    loan_acc_no: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    cust_name: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    cust_acc_rel: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    account_type: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    urn_no: {
        type: sequelize_1.DataTypes.STRING(16),
    },
    identity_prof: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    identity_prof_no: {
        type: sequelize_1.DataTypes.STRING(30),
    },
    pan_card_no: {
        type: sequelize_1.DataTypes.STRING(16),
    },
    loan_amt: {
        type: sequelize_1.DataTypes.DOUBLE,
    },
    EMIAmount: {
        type: sequelize_1.DataTypes.DOUBLE,
    },
    total_tenure: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    tenure_completed: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    Bounce_count: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    DelinquentDays: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    PrinicipalOutstanding: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    max_DelinquentDays: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    appl_date: {
        type: sequelize_1.DataTypes.DATE,
    },
    disb_date: {
        type: sequelize_1.DataTypes.DATE,
    },
    loan_status: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    curr_stage: {
        type: sequelize_1.DataTypes.STRING(50),
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_Dedup_Cust_Details",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
DupCustDetails.removeAttribute("id"); // Primary Key Attribute
DupCustDetails.removeAttribute("createdAt"); // Created Date Attribute
DupCustDetails.removeAttribute("updatedAt"); // Update Date Attribute
