"use strict";
/**
 * DESCRIPTION: CUSTOMER_API DATA MODEL USED
 *              TO FETCH THE DEDUPE DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 27/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DedupApplicantDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the dedup application details interface attributes
class DedupApplicantDetails extends sequelize_1.Model {
}
exports.DedupApplicantDetails = DedupApplicantDetails;
// Initializing the database table structure
DedupApplicantDetails.init({
    customer_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    customer_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    date_of_birth: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    urn_no: {
        type: sequelize_1.DataTypes.STRING(16),
        allowNull: true,
    },
    mobile_phone: {
        type: sequelize_1.DataTypes.STRING(15),
        allowNull: true,
    },
    whatsapp_no: {
        type: sequelize_1.DataTypes.STRING(45),
        allowNull: true,
    },
    identity_proof: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    id_proof_no: {
        type: sequelize_1.DataTypes.STRING(30),
        allowNull: true,
    },
    pan_card_no: {
        type: sequelize_1.DataTypes.STRING(16),
        allowNull: true,
    },
    door_no: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    street: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    landmark: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    pincode: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    district: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    state: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    village_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    locality: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    relationship: {
        type: sequelize_1.DataTypes.STRING(45),
        allowNull: true,
    },
    hub_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    hub_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    spoke_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    spoke_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_DedupeApplicentDtl",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
DedupApplicantDetails.removeAttribute("id"); // Primary Key Attribute
DedupApplicantDetails.removeAttribute("createdAt"); // Created Date Attribute
DedupApplicantDetails.removeAttribute("updatedAt"); // Update Date Attribute
