"use strict";
/**
 * DESCRIPTION: Kinara_Engr_Api_LUC_Details data model used to
 *              Define Kinara_Engr_Api_LUC_Details ORM data model object and
 *              to fetch LUC  details (Loan utilization check)
 *              for all the Loans which are disbursed.
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LUCModel = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the LUC Details interface attributes
class LUCModel extends sequelize_1.Model {
}
exports.LUCModel = LUCModel;
// Initializing the database table structure
LUCModel.init({
    state: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    region: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    hub: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    luc_id: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    customer_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    risk_officer_ID: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    entity_Name: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    address: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    proprietory_name: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    account_number: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    entity_URN_no: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    loan_product_name: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    loan_purpose: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    loan_sub_purpose: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    loan_amount: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    disbursement_date_check: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    total_number_of_men: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    total_number_of_women: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    pre_loan_monthly_revenue: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    pre_loan_monthly_net_income: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    pre_loan_proprietor_salary: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    pre_loan_number_of_customers_or_buyers: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_LUC_Details",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
LUCModel.removeAttribute("id"); // Primary Key Attribute
LUCModel.removeAttribute("createdAt"); // Created Date Attribute
LUCModel.removeAttribute("updatedAt"); // Update Date Attribute
