"use strict";
/**
 * DESCRIPTION: Kinara_Engr_Api_Linkeddeposit DATA MODEL USED
 *              TO create the Linked deposit details
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepositDetails = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the Deposit Details interface attributes
class DepositDetails extends sequelize_1.Model {
}
exports.DepositDetails = DepositDetails;
// Initializing the database table structure
DepositDetails.init({
    ID: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    Deposit_id: {
        type: sequelize_1.DataTypes.STRING(5),
        allowNull: true,
    },
    Account_number: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    Loan_id: {
        type: sequelize_1.DataTypes.STRING(20),
        allowNull: true,
    },
    Total_amount: {
        type: sequelize_1.DataTypes.DECIMAL(14, 3),
        allowNull: true,
    },
    Bill_id: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_Linkeddeposit",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
DepositDetails.removeAttribute("id"); // Primary Key Attribute
DepositDetails.removeAttribute("createdAt"); // Created Date Attribute
DepositDetails.removeAttribute("updatedAt"); // Update Date Attribute
