"use strict";
/**
 * DESCRIPTION:Kinara_Engr_Api_OverallDemand DATA MODEL USED
 *              TO create the overallDemand
 * CREATED BY: ANITA MS
 * CREATED DATE: 01/06/2021
 * MODIFIED BY:
 * MODIFIED DATE:
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OveralDemand = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the bill Details interface attributes
class OveralDemand extends sequelize_1.Model {
}
exports.OveralDemand = OveralDemand;
// Initializing the database table structure
OveralDemand.init({
    partner_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Parent_Branch: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Hub: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Spoke: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    ClientID: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    AccountID: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    ProductName: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    ClientName: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Proprietor_Name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    InstallmentDueDate: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    LoanAmount: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Cheque_ID: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Current_Due: {
        type: sequelize_1.DataTypes.DOUBLE,
        allowNull: true,
    },
    installment_number: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Term: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    Repayment_Mode: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Bank_Name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Branch_Name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    Realization_Status: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Realization_Reason: {
        type: sequelize_1.DataTypes.STRING(255),
        allowNull: true,
    },
    Realization_Date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    Mobile_No: {
        type: sequelize_1.DataTypes.DOUBLE,
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_OverallDemand",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
//OveralDemand.removeAttribute("id"); // Primary Key Attribute
OveralDemand.removeAttribute("createdAt"); // Created Date Attribute
OveralDemand.removeAttribute("updatedAt"); // Update Date Attribute
