"use strict";
/**
 * DESCRIPTION: KINARA_ENGR_API_TOKENS DATA MODEL
 *              USED TO CAPTURES THE USER TOKENS
 *              WHO HAVE LOGGED-IN
 * CREATED BY: VIKAS
 * CREATED DATE: 27/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIToken = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the api token interface attributes
class APIToken extends sequelize_1.Model {
}
exports.APIToken = APIToken;
// Initializing the database table structure
APIToken.init({
    user_Id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    token: {
        type: sequelize_1.DataTypes.STRING(2500),
    },
    token_status: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    created_timest: {
        type: sequelize_1.DataTypes.DATE,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_Tokens",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
APIToken.removeAttribute("id"); // Primary Key Attribute
APIToken.removeAttribute("createdAt"); // Created Date Attribute
APIToken.removeAttribute("updatedAt"); // Update Date Attribute
