"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIUsers = void 0;
/**
 * DESCRIPTION: KINARA_ENGR_API_USERS DATA MODEL
 *              USED TO FETCH THE USER DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 27/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the api users interface attributes
class APIUsers extends sequelize_1.Model {
}
exports.APIUsers = APIUsers;
// Initializing the database table structure
APIUsers.init({
    ID: {
        type: sequelize_1.DataTypes.INTEGER,
        primaryKey: true,
    },
    owner_name: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    user_name: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    password: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    api_access_level: {
        type: sequelize_1.DataTypes.STRING(500),
    },
    user_status: {
        type: sequelize_1.DataTypes.STRING(20),
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_Users",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
APIUsers.removeAttribute("id"); // Primary Key Attribute
APIUsers.removeAttribute("createdAt"); // Created Date Attribute
APIUsers.removeAttribute("updatedAt"); // Update Date Attribute
