"use strict";
/**
 * DESCRIPTION: KINARA_ENGR_API_ZOHO_CRM DATA MODEL USED TO
 *              FETCH THE ZOHO DETAILS
 * CREATED BY: ANITA MS
 * CREATED DATE: 10/05/2021
 * MODIFIED BY: ANITA MS
 * MODIFIED DATE: 22/06/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZohoCRM = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the zoho crm interface attributes
class ZohoCRM extends sequelize_1.Model {
}
exports.ZohoCRM = ZohoCRM;
// Initializing the database table structure for KINARA_ENGR_API_ZOHO_CRM table
ZohoCRM.init({
    business_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    account_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    door_no: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    email: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    post_office: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    area: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    state: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    pincode: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    region_name: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    company_operating_since: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    loan_amount: {
        type: sequelize_1.DataTypes.DOUBLE,
        allowNull: true,
    },
    business_type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    customer_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    tenure: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    mobile_no: {
        type: sequelize_1.DataTypes.STRING(12),
        allowNull: true,
    },
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    no_of_installments_repaid: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    customer_bank: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    date_of_birth: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    loan_subpurpose: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    first_payment_date: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    hub_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    district: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    Gender: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    first_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    account_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    customer_type: {
        type: sequelize_1.DataTypes.STRING(10),
        allowNull: true,
    },
    bounce_if_any: {
        type: sequelize_1.DataTypes.STRING(3),
        allowNull: true,
    },
    created_at: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    last_updated_at: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true,
    },
    contact_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_name: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    stage: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "Kinara_Engr_Api_zoho_crm",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ZohoCRM.removeAttribute("id"); // Primary Key Attribute
ZohoCRM.removeAttribute("createdAt"); // Created Date Attribute
ZohoCRM.removeAttribute("updatedAt"); // Update Date Attribute
