"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OriginalRepaymentSchedule = void 0;
/**
 * DESCRIPTION: CALCULATE_ORIGINAL_REPAYMENT_SCHEDULE DATA MODEL USED
 *              TO FETCH THE CUSTOMER ORIGINAL PAYMENT SCHEDULE
 * CREATED BY: VIKAS
 * CREATED DATE: 28/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the original repayment schedule interface attributes
class OriginalRepaymentSchedule extends sequelize_1.Model {
}
exports.OriginalRepaymentSchedule = OriginalRepaymentSchedule;
// Initializing the database table structure
OriginalRepaymentSchedule.init({
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    installment_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    installment_amount: {
        type: sequelize_1.DataTypes.FLOAT(12, 2),
        allowNull: true,
    },
    demand_no: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    principal_amount: {
        type: sequelize_1.DataTypes.FLOAT(12, 2),
        allowNull: true,
    },
    interest_amount: {
        type: sequelize_1.DataTypes.FLOAT(12, 2),
        allowNull: true,
    },
    calculated_principal_outstanding_amount: {
        type: sequelize_1.DataTypes.FLOAT(12, 2),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "calculated_original_repayment_schedule",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
OriginalRepaymentSchedule.removeAttribute("id"); // Primary Key Attribute
OriginalRepaymentSchedule.removeAttribute("createdAt"); // Created Date Attribute
OriginalRepaymentSchedule.removeAttribute("updatedAt"); // Update Date Attribute
