"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColenderLoanParameter = void 0;
/**
 * DESCRIPTION: COLENDER_LOAN_PARAMETER DATA MODEL
 *              USED TO FETCH THE DIBURSED LOAN DETAILS
 *              FOR THE COLENDERS
 * CREATED BY: VIKAS
 * CREATED DATE: 10/05/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
class ColenderLoanParameter extends sequelize_1.Model {
}
exports.ColenderLoanParameter = ColenderLoanParameter;
// Initializing the database table structure
ColenderLoanParameter.init({
    loan_id: {
        type: sequelize_1.DataTypes.INTEGER,
    },
    account_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    application_id: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    prinicipal_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    interest_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    disbursement_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    first_repayment_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    instrument_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    instrument_type: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    net_disbursement_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    installment_no: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    installment_amount: {
        type: sequelize_1.DataTypes.DOUBLE(22, 0),
        allowNull: true,
    },
    next_repayment_date: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    mykinara_fieldname: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname1: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname1_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname2: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname2_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname3: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname3_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname4: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname4_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname5: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname5_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname6: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname6_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname7: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname7_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname8: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname8_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname9: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname9_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname10: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname10_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname11: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname11_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname12: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname12_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname13: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname13_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname14: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname14_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname15: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname15_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname16: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname16_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname17: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname17_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname18: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname18_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname19: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname19_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname20: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname20_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname21: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname21_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname22: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname22_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname23: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname23_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname24: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname24_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname25: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname25_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname26: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname26_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname27: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname27_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname28: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname28_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname29: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname29_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname30: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname30_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname31: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname31_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname32: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname32_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname33: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname33_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname34: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname34_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname35: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname35_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname36: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname36_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname37: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname37_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname38: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname38_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname39: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname39_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname40: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname40_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname41: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname41_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname42: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname42_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname43: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname43_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname44: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname44_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname45: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname45_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname46: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname46_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname47: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname47_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname48: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname48_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname49: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname49_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname50: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname50_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname51: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname51_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname52: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname52_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    mykinara_fieldname53: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    mykinara_fieldname53_url: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname1: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname1_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname2: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname2_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname3: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname3_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname4: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname4_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname5: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname5_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname6: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname6_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname7: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname7_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname8: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname8_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname9: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname9_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname10: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname10_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname11: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname11_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname12: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname12_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname13: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname13_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname14: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname14_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname15: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname15_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname16: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname16_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname17: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname17_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname18: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname18_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname19: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname19_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    loan_document_fieldname20: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    loan_document_fieldname20_id: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    co_lender: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "colender_loan_parameters",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
ColenderLoanParameter.removeAttribute("id"); // Primary Key Attribute
ColenderLoanParameter.removeAttribute("createdAt"); // Created Date Attribute
ColenderLoanParameter.removeAttribute("updatedAt"); // Update Date Attribute
