"use strict";
/**
 * DESCRIPTION: CUSTOMER_API DATA MODEL USED
 *              TO FETCH THE CUSTOMER DETAILS
 * CREATED BY: VIKAS
 * CREATED DATE: 28/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomerAPI = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the customer api interface attributes
class CustomerAPI extends sequelize_1.Model {
}
exports.CustomerAPI = CustomerAPI;
// Initializing the database table structure
CustomerAPI.init({
    customer_id: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    account_number: {
        type: sequelize_1.DataTypes.STRING(50),
        allowNull: true,
    },
    customer_bank_name: {
        type: sequelize_1.DataTypes.STRING(300),
        allowNull: true,
    },
    area: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    branch_name: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
    operating_since: {
        type: sequelize_1.DataTypes.DATEONLY,
        allowNull: true,
    },
    business_urn: {
        type: sequelize_1.DataTypes.STRING(100),
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "customer_api",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
CustomerAPI.removeAttribute("id"); // Primary Key Attribute
CustomerAPI.removeAttribute("createdAt"); // Created Date Attribute
CustomerAPI.removeAttribute("updatedAt"); // Update Date Attribute
