"use strict";
/**
 * DESCRIPTION: KINARA_ENGR_API_HIST_TABLE DATA MODEL USED
 *              TO LOG THE API HITS
 * CREATED BY: VIKAS
 * CREATED DATE: 27/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIHistoryTable = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the api history table interface attributes
class APIHistoryTable extends sequelize_1.Model {
}
exports.APIHistoryTable = APIHistoryTable;
// Initializing the database table structure
APIHistoryTable.init({
    application_id: {
        type: sequelize_1.DataTypes.TEXT,
    },
    user_id: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_route: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_name: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_error_label: {
        type: sequelize_1.DataTypes.TEXT,
    },
    status_code: {
        type: sequelize_1.DataTypes.BIGINT,
    },
    api_status: {
        type: sequelize_1.DataTypes.TEXT,
    },
    logic_status: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_request: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_response: {
        type: sequelize_1.DataTypes.TEXT,
    },
    server_type: {
        type: sequelize_1.DataTypes.TEXT,
    },
    api_request_on: {
        type: sequelize_1.DataTypes.DATE,
    },
}, {
    timestamps: false,
    tableName: "kinara_engr_api_hist_table",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
APIHistoryTable.removeAttribute("id"); // Primary Key Attribute
APIHistoryTable.removeAttribute("createdAt"); // Created Date Attribute
APIHistoryTable.removeAttribute("updatedAt"); // Update Date Attribute
