"use strict";
/**
 * DESCRIPTION:  OZONETEL CALL SUMMARY DETAILS DATA MODEL
 * CREATED BY: RAKESH ANUGULA
 * CREATED DATE: 22/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 10/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OzonetelCallSummaryDetail = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the ozonetel call summary details interface attributes
class OzonetelCallSummaryDetail extends sequelize_1.Model {
}
exports.OzonetelCallSummaryDetail = OzonetelCallSummaryDetail;
// Initializing the database table structure
OzonetelCallSummaryDetail.init({
    AgentID: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    AgentName: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    AgentPhoneNumber: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    AgentStatus: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    AgentUniqueID: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    Apikey: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    AudioFile: {
        type: sequelize_1.DataTypes.STRING(250),
    },
    CallDuration: {
        type: sequelize_1.DataTypes.STRING(10),
    },
    CallerConfAudioFile: {
        type: sequelize_1.DataTypes.STRING(250),
    },
    CallerID: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    CampaignName: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    CampaignStatus: {
        type: sequelize_1.DataTypes.STRING(10),
    },
    Comments: {
        type: sequelize_1.DataTypes.STRING(1000),
    },
    ConfDuration: {
        type: sequelize_1.DataTypes.STRING(10),
    },
    CustomerStatus: {
        type: sequelize_1.DataTypes.STRING(15),
    },
    DialStatus: {
        type: sequelize_1.DataTypes.STRING(15),
    },
    DialedNumber: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    Did: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    Disposition: {
        type: sequelize_1.DataTypes.STRING(200),
    },
    Duration: {
        type: sequelize_1.DataTypes.STRING(10),
    },
    EndTime: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    FallBackRule: {
        type: sequelize_1.DataTypes.STRING(25),
    },
    HangupBy: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    Location: {
        type: sequelize_1.DataTypes.STRING(100),
    },
    monitorUCID: {
        type: sequelize_1.DataTypes.STRING(50),
        primaryKey: true,
    },
    PhoneName: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    Skill: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    StartTime: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    Status: {
        type: sequelize_1.DataTypes.STRING(15),
    },
    TimeToAnswer: {
        type: sequelize_1.DataTypes.STRING(10),
    },
    TransferType: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    TransferredTo: {
        type: sequelize_1.DataTypes.STRING(50),
    },
    Type: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    UserName: {
        type: sequelize_1.DataTypes.STRING(20),
    },
    UUI: {
        type: sequelize_1.DataTypes.STRING(20),
    },
}, {
    timestamps: false,
    tableName: "ozonetelCallSummaryDetail",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
OzonetelCallSummaryDetail.removeAttribute("id"); // Primary Key Attribute
OzonetelCallSummaryDetail.removeAttribute("createdAt"); // Created Date Attribute
OzonetelCallSummaryDetail.removeAttribute("updatedAt"); // Update Date Attribute
