"use strict";
/**
 * DESCRIPTION: PIN_CODE_API DATA MODEL USED TO
 *              DETAILS BASED ON THE PIN CODE
 * CREATED BY: VIKAS
 * CREATED DATE: 27/04/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 10/05/2021
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PINCodeAPI = void 0;
const sequelize_1 = require("sequelize");
const dbConfig_1 = require("../util/dbConfig");
const sequelize = new dbConfig_1.DbConnection().connectMySql();
// Class that implements the pin code api interface attributes
class PINCodeAPI extends sequelize_1.Model {
}
exports.PINCodeAPI = PINCodeAPI;
// Initializing the database table structure
PINCodeAPI.init({
    sales_officer_id: {
        type: sequelize_1.DataTypes.STRING(40),
        allowNull: true,
    },
    sales_officer_Firstname: {
        type: sequelize_1.DataTypes.STRING(150),
        allowNull: true,
    },
    sales_officer_Lastname: {
        type: sequelize_1.DataTypes.STRING(150),
        allowNull: true,
    },
    role_designation: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    zone_id: {
        type: sequelize_1.DataTypes.STRING(10),
        allowNull: true,
    },
    zone_name: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    state_id: {
        type: sequelize_1.DataTypes.STRING(10),
        allowNull: true,
    },
    state_name: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    division_id: {
        type: sequelize_1.DataTypes.STRING(10),
        allowNull: true,
    },
    division_name: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    region_id: {
        type: sequelize_1.DataTypes.STRING(10),
        allowNull: true,
    },
    region_name: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    hub_id: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
    hubname: {
        type: sequelize_1.DataTypes.STRING(35),
        allowNull: true,
    },
    spoke_id: {
        type: sequelize_1.DataTypes.BIGINT,
        allowNull: true,
    },
    spoke_name: {
        type: sequelize_1.DataTypes.STRING(200),
        allowNull: true,
    },
    pincode: {
        type: sequelize_1.DataTypes.INTEGER,
        allowNull: true,
    },
}, {
    timestamps: false,
    tableName: "pin_code_api",
    sequelize,
    freezeTableName: true,
});
// Remove the attributes that are auto created by Sequelize
PINCodeAPI.removeAttribute("id"); // Primary Key Attribute
PINCodeAPI.removeAttribute("createdAt"); // Created Date Attribute
PINCodeAPI.removeAttribute("updatedAt"); // Update Date Attribute
