"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.error = exports.success = void 0;
const APIHist = __importStar(require("../util/addAPIHist"));
/**
 * @desc    Send any success response
 *
 * @param   {number} statusCode - A number param.
 * @param   {object} data - An object param.
 * @param   {Request} req - A api request param.
 */
class success {
    constructor(statusCode, data, req) {
        const response = {
            status: statusCode,
            success: true,
            data,
        };
        return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
            // Capture the details in a data table.
            yield APIHist.add_api_call(req, JSON.parse(JSON.stringify(response)), "NA", "SUCCESS", "SUCCESS", statusCode);
            //Return the reponse.
            resolve(response);
        }));
    }
}
exports.success = success;
/**
 * @desc    Send any error response
 *
 * @param   {Request} req - A request param.
 * @param   {Response} error - A response param.
 * @param   {string} apiErrorLabel - A string param.
 * @param   {string} logicStatus - A string param.
 * @param   {number} statusCode - A number param.
 *
 */
class error {
    constructor(req, error, apiErrorLabel, logicStatus, statusCode) {
        // List of common HTTP request code
        const codes = [204, 400, 401, 404, 403, 422, 500];
        // Get matched code
        statusCode = codes.find((code) => code == statusCode) || 500;
        const response = {
            status: statusCode,
            success: false,
            error,
        };
        return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
            // Capture the details in a data table.
            yield APIHist.add_api_call(req, JSON.parse(JSON.stringify(response)), apiErrorLabel, "FAIL", logicStatus, statusCode);
            //Return the reponse.
            resolve(response);
        }));
    }
}
exports.error = error;
