/**
 * DESCRIPTION: COLENDER_LOAN_PARAMETER DATA MODEL
 *              USED TO FETCH THE DIBURSED LOAN DETAILS
 *              FOR THE COLENDERS
 * CREATED BY: VIKAS
 * CREATED DATE: 10/05/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 19/05/2021
 */
import { DataTypes, Model } from "sequelize";
import { DbConnection } from "../util/dbConfig";
const sequelize = new DbConnection().connectMySql();

// Interface defines the attributes, for strict typechecking
interface IColenderLoanParameters {
  loan_id: number;
  account_number: string;
  application_id: string;
  prinicipal_amount: number;
  interest_amount: number;
  disbursement_date: Date;
  first_repayment_date: Date;
  instrument_number: string;
  instrument_type: string;
  net_disbursement_amount: number;
  installment_no: number;
  installment_amount: number;
  next_repayment_date: Date;
  mykinara_fieldname: string;
  mykinara_fieldname_url: string;
  mykinara_fieldname1: string;
  mykinara_fieldname1_url: string;
  mykinara_fieldname2: string;
  mykinara_fieldname2_url: string;
  mykinara_fieldname3: string;
  mykinara_fieldname3_url: string;
  mykinara_fieldname4: string;
  mykinara_fieldname4_url: string;
  mykinara_fieldname5: string;
  mykinara_fieldname5_url: string;
  mykinara_fieldname6: string;
  mykinara_fieldname6_url: string;
  mykinara_fieldname7: string;
  mykinara_fieldname7_url: string;
  mykinara_fieldname8: string;
  mykinara_fieldname8_url: string;
  mykinara_fieldname9: string;
  mykinara_fieldname9_url: string;
  mykinara_fieldname10: string;
  mykinara_fieldname10_url: string;
  mykinara_fieldname11: string;
  mykinara_fieldname11_url: string;
  mykinara_fieldname12: string;
  mykinara_fieldname12_url: string;
  mykinara_fieldname13: string;
  mykinara_fieldname13_url: string;
  mykinara_fieldname14: string;
  mykinara_fieldname14_url: string;
  mykinara_fieldname15: string;
  mykinara_fieldname15_url: string;
  mykinara_fieldname16: string;
  mykinara_fieldname16_url: string;
  mykinara_fieldname17: string;
  mykinara_fieldname17_url: string;
  mykinara_fieldname18: string;
  mykinara_fieldname18_url: string;
  mykinara_fieldname19: string;
  mykinara_fieldname19_url: string;
  mykinara_fieldname20: string;
  mykinara_fieldname20_url: string;
  mykinara_fieldname21: string;
  mykinara_fieldname21_url: string;
  mykinara_fieldname22: string;
  mykinara_fieldname22_url: string;
  mykinara_fieldname23: string;
  mykinara_fieldname23_url: string;
  mykinara_fieldname24: string;
  mykinara_fieldname24_url: string;
  mykinara_fieldname25: string;
  mykinara_fieldname25_url: string;
  mykinara_fieldname26: string;
  mykinara_fieldname26_url: string;
  mykinara_fieldname27: string;
  mykinara_fieldname27_url: string;
  mykinara_fieldname28: string;
  mykinara_fieldname28_url: string;
  mykinara_fieldname29: string;
  mykinara_fieldname29_url: string;
  mykinara_fieldname30: string;
  mykinara_fieldname30_url: string;
  mykinara_fieldname31: string;
  mykinara_fieldname31_url: string;
  mykinara_fieldname32: string;
  mykinara_fieldname32_url: string;
  mykinara_fieldname33: string;
  mykinara_fieldname33_url: string;
  mykinara_fieldname34: string;
  mykinara_fieldname34_url: string;
  mykinara_fieldname35: string;
  mykinara_fieldname35_url: string;
  mykinara_fieldname36: string;
  mykinara_fieldname36_url: string;
  mykinara_fieldname37: string;
  mykinara_fieldname37_url: string;
  mykinara_fieldname38: string;
  mykinara_fieldname38_url: string;
  mykinara_fieldname39: string;
  mykinara_fieldname39_url: string;
  mykinara_fieldname40: string;
  mykinara_fieldname40_url: string;
  mykinara_fieldname41: string;
  mykinara_fieldname41_url: string;
  mykinara_fieldname42: string;
  mykinara_fieldname42_url: string;
  mykinara_fieldname43: string;
  mykinara_fieldname43_url: string;
  mykinara_fieldname44: string;
  mykinara_fieldname44_url: string;
  mykinara_fieldname45: string;
  mykinara_fieldname45_url: string;
  mykinara_fieldname46: string;
  mykinara_fieldname46_url: string;
  mykinara_fieldname47: string;
  mykinara_fieldname47_url: string;
  mykinara_fieldname48: string;
  mykinara_fieldname48_url: string;
  mykinara_fieldname49: string;
  mykinara_fieldname49_url: string;
  mykinara_fieldname50: string;
  mykinara_fieldname50_url: string;
  mykinara_fieldname51: string;
  mykinara_fieldname51_url: string;
  mykinara_fieldname52: string;
  mykinara_fieldname52_url: string;
  mykinara_fieldname53: string;
  mykinara_fieldname53_url: string;
  loan_document_fieldname1: string;
  loan_document_fieldname1_id: string;
  loan_document_fieldname2: string;
  loan_document_fieldname2_id: string;
  loan_document_fieldname3: string;
  loan_document_fieldname3_id: string;
  loan_document_fieldname4: string;
  loan_document_fieldname4_id: string;
  loan_document_fieldname5: string;
  loan_document_fieldname5_id: string;
  loan_document_fieldname6: string;
  loan_document_fieldname6_id: string;
  loan_document_fieldname7: string;
  loan_document_fieldname7_id: string;
  loan_document_fieldname8: string;
  loan_document_fieldname8_id: string;
  loan_document_fieldname9: string;
  loan_document_fieldname9_id: string;
  loan_document_fieldname10: string;
  loan_document_fieldname10_id: string;
  loan_document_fieldname11: string;
  loan_document_fieldname11_id: string;
  loan_document_fieldname12: string;
  loan_document_fieldname12_id: string;
  loan_document_fieldname13: string;
  loan_document_fieldname13_id: string;
  loan_document_fieldname14: string;
  loan_document_fieldname14_id: string;
  loan_document_fieldname15: string;
  loan_document_fieldname15_id: string;
  loan_document_fieldname16: string;
  loan_document_fieldname16_id: string;
  loan_document_fieldname17: string;
  loan_document_fieldname17_id: string;
  loan_document_fieldname18: string;
  loan_document_fieldname18_id: string;
  loan_document_fieldname19: string;
  loan_document_fieldname19_id: string;
  loan_document_fieldname20: string;
  loan_document_fieldname20_id: string;
  co_lender: string;
}

export class ColenderLoanParameter
  extends Model<IColenderLoanParameters>
  implements IColenderLoanParameters
{
  // Note that the `null assertion` `!` is required in strict mode.
  public loan_id!: number;
  public account_number!: string;
  public application_id!: string;
  public prinicipal_amount!: number;
  public interest_amount!: number;
  public disbursement_date!: Date;
  public first_repayment_date!: Date;
  public instrument_number!: string;
  public instrument_type!: string;
  public net_disbursement_amount!: number;
  public installment_no!: number;
  public installment_amount!: number;
  public next_repayment_date!: Date;
  public mykinara_fieldname!: string;
  public mykinara_fieldname_url!: string;
  public mykinara_fieldname1!: string;
  public mykinara_fieldname1_url!: string;
  public mykinara_fieldname2!: string;
  public mykinara_fieldname2_url!: string;
  public mykinara_fieldname3!: string;
  public mykinara_fieldname3_url!: string;
  public mykinara_fieldname4!: string;
  public mykinara_fieldname4_url!: string;
  public mykinara_fieldname5!: string;
  public mykinara_fieldname5_url!: string;
  public mykinara_fieldname6!: string;
  public mykinara_fieldname6_url!: string;
  public mykinara_fieldname7!: string;
  public mykinara_fieldname7_url!: string;
  public mykinara_fieldname8!: string;
  public mykinara_fieldname8_url!: string;
  public mykinara_fieldname9!: string;
  public mykinara_fieldname9_url!: string;
  public mykinara_fieldname10!: string;
  public mykinara_fieldname10_url!: string;
  public mykinara_fieldname11!: string;
  public mykinara_fieldname11_url!: string;
  public mykinara_fieldname12!: string;
  public mykinara_fieldname12_url!: string;
  public mykinara_fieldname13!: string;
  public mykinara_fieldname13_url!: string;
  public mykinara_fieldname14!: string;
  public mykinara_fieldname14_url!: string;
  public mykinara_fieldname15!: string;
  public mykinara_fieldname15_url!: string;
  public mykinara_fieldname16!: string;
  public mykinara_fieldname16_url!: string;
  public mykinara_fieldname17!: string;
  public mykinara_fieldname17_url!: string;
  public mykinara_fieldname18!: string;
  public mykinara_fieldname18_url!: string;
  public mykinara_fieldname19!: string;
  public mykinara_fieldname19_url!: string;
  public mykinara_fieldname20!: string;
  public mykinara_fieldname20_url!: string;
  public mykinara_fieldname21!: string;
  public mykinara_fieldname21_url!: string;
  public mykinara_fieldname22!: string;
  public mykinara_fieldname22_url!: string;
  public mykinara_fieldname23!: string;
  public mykinara_fieldname23_url!: string;
  public mykinara_fieldname24!: string;
  public mykinara_fieldname24_url!: string;
  public mykinara_fieldname25!: string;
  public mykinara_fieldname25_url!: string;
  public mykinara_fieldname26!: string;
  public mykinara_fieldname26_url!: string;
  public mykinara_fieldname27!: string;
  public mykinara_fieldname27_url!: string;
  public mykinara_fieldname28!: string;
  public mykinara_fieldname28_url!: string;
  public mykinara_fieldname29!: string;
  public mykinara_fieldname29_url!: string;
  public mykinara_fieldname30!: string;
  public mykinara_fieldname30_url!: string;
  public mykinara_fieldname31!: string;
  public mykinara_fieldname31_url!: string;
  public mykinara_fieldname32!: string;
  public mykinara_fieldname32_url!: string;
  public mykinara_fieldname33!: string;
  public mykinara_fieldname33_url!: string;
  public mykinara_fieldname34!: string;
  public mykinara_fieldname34_url!: string;
  public mykinara_fieldname35!: string;
  public mykinara_fieldname35_url!: string;
  public mykinara_fieldname36!: string;
  public mykinara_fieldname36_url!: string;
  public mykinara_fieldname37!: string;
  public mykinara_fieldname37_url!: string;
  public mykinara_fieldname38!: string;
  public mykinara_fieldname38_url!: string;
  public mykinara_fieldname39!: string;
  public mykinara_fieldname39_url!: string;
  public mykinara_fieldname40!: string;
  public mykinara_fieldname40_url!: string;
  public mykinara_fieldname41!: string;
  public mykinara_fieldname41_url!: string;
  public mykinara_fieldname42!: string;
  public mykinara_fieldname42_url!: string;
  public mykinara_fieldname43!: string;
  public mykinara_fieldname43_url!: string;
  public mykinara_fieldname44!: string;
  public mykinara_fieldname44_url!: string;
  public mykinara_fieldname45!: string;
  public mykinara_fieldname45_url!: string;
  public mykinara_fieldname46!: string;
  public mykinara_fieldname46_url!: string;
  public mykinara_fieldname47!: string;
  public mykinara_fieldname47_url!: string;
  public mykinara_fieldname48!: string;
  public mykinara_fieldname48_url!: string;
  public mykinara_fieldname49!: string;
  public mykinara_fieldname49_url!: string;
  public mykinara_fieldname50!: string;
  public mykinara_fieldname50_url!: string;
  public mykinara_fieldname51!: string;
  public mykinara_fieldname51_url!: string;
  public mykinara_fieldname52!: string;
  public mykinara_fieldname52_url!: string;
  public mykinara_fieldname53!: string;
  public mykinara_fieldname53_url!: string;
  public loan_document_fieldname1!: string;
  public loan_document_fieldname1_id!: string;
  public loan_document_fieldname2!: string;
  public loan_document_fieldname2_id!: string;
  public loan_document_fieldname3!: string;
  public loan_document_fieldname3_id!: string;
  public loan_document_fieldname4!: string;
  public loan_document_fieldname4_id!: string;
  public loan_document_fieldname5!: string;
  public loan_document_fieldname5_id!: string;
  public loan_document_fieldname6!: string;
  public loan_document_fieldname6_id!: string;
  public loan_document_fieldname7!: string;
  public loan_document_fieldname7_id!: string;
  public loan_document_fieldname8!: string;
  public loan_document_fieldname8_id!: string;
  public loan_document_fieldname9!: string;
  public loan_document_fieldname9_id!: string;
  public loan_document_fieldname10!: string;
  public loan_document_fieldname10_id!: string;
  public loan_document_fieldname11!: string;
  public loan_document_fieldname11_id!: string;
  public loan_document_fieldname12!: string;
  public loan_document_fieldname12_id!: string;
  public loan_document_fieldname13!: string;
  public loan_document_fieldname13_id!: string;
  public loan_document_fieldname14!: string;
  public loan_document_fieldname14_id!: string;
  public loan_document_fieldname15!: string;
  public loan_document_fieldname15_id!: string;
  public loan_document_fieldname16!: string;
  public loan_document_fieldname16_id!: string;
  public loan_document_fieldname17!: string;
  public loan_document_fieldname17_id!: string;
  public loan_document_fieldname18!: string;
  public loan_document_fieldname18_id!: string;
  public loan_document_fieldname19!: string;
  public loan_document_fieldname19_id!: string;
  public loan_document_fieldname20!: string;
  public loan_document_fieldname20_id!: string;
  public co_lender!: string;
}

// Initializing the database table structure
ColenderLoanParameter.init(
  {
    loan_id: {
      type: DataTypes.INTEGER,
    },
    account_number: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    application_id: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    prinicipal_amount: {
      type: DataTypes.DOUBLE(22, 0),
      allowNull: true,
    },
    interest_amount: {
      type: DataTypes.DOUBLE(22, 0),
      allowNull: true,
    },
    disbursement_date: {
      type: DataTypes.DATEONLY,
      allowNull: true,
    },
    first_repayment_date: {
      type: DataTypes.DATEONLY,
      allowNull: true,
    },
    instrument_number: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    instrument_type: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    net_disbursement_amount: {
      type: DataTypes.DOUBLE(22, 0),
      allowNull: true,
    },
    installment_no: {
      type: DataTypes.INTEGER,
      allowNull: true,
    },
    installment_amount: {
      type: DataTypes.DOUBLE(22, 0),
      allowNull: true,
    },
    next_repayment_date: {
      type: DataTypes.DATEONLY,
      allowNull: true,
    },
    mykinara_fieldname: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname1: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname1_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname2: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname2_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname3: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname3_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname4: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname4_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname5: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname5_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname6: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname6_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname7: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname7_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname8: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname8_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname9: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname9_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname10: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname10_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname11: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname11_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname12: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname12_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname13: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname13_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname14: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname14_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname15: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname15_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname16: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname16_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname17: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname17_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname18: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname18_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname19: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname19_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname20: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname20_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname21: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname21_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname22: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname22_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname23: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname23_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname24: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname24_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname25: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname25_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname26: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname26_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname27: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname27_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname28: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname28_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname29: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname29_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname30: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname30_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname31: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname31_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname32: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname32_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname33: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname33_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname34: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname34_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname35: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname35_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname36: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname36_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname37: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname37_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname38: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname38_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname39: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname39_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname40: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname40_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname41: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname41_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname42: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname42_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname43: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname43_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname44: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname44_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname45: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname45_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname46: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname46_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname47: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname47_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname48: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname48_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname49: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname49_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname50: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname50_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname51: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname51_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname52: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname52_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    mykinara_fieldname53: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    mykinara_fieldname53_url: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname1: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname1_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname2: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname2_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname3: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname3_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname4: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname4_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname5: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname5_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname6: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname6_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname7: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname7_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname8: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname8_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname9: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname9_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname10: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname10_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname11: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname11_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname12: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname12_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname13: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname13_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname14: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname14_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname15: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname15_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname16: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname16_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname17: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname17_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname18: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname18_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname19: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname19_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    loan_document_fieldname20: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
    loan_document_fieldname20_id: {
      type: DataTypes.STRING(200),
      allowNull: true,
    },
    co_lender: {
      type: DataTypes.STRING(50),
      allowNull: true,
    },
  },
  {
    timestamps: false,
    tableName: "colender_loan_parameters",
    sequelize, // passing the `sequelize` instance is required
    freezeTableName: true,
  }
);

// Remove the attributes that are auto created by Sequelize
ColenderLoanParameter.removeAttribute("id"); // Primary Key Attribute
ColenderLoanParameter.removeAttribute("createdAt"); // Created Date Attribute
ColenderLoanParameter.removeAttribute("updatedAt"); // Update Date Attribute
