/**
 * DESCRIPTION: COMMON FUNCTION TO VERIFY TOKEN IS VALID OR NOT.
 * CREATED BY: RAKESH ANUGULA
 * CREATED DATE: 20/03/2021
 * MODIFIED BY: VIKAS
 * MODIFIED DATE: 13/05/2021
 */
import { Request, Response, NextFunction } from "express";
import * as jwt from "jsonwebtoken";

export const checkAuth = (req: Request, res: Response, next: NextFunction) => {
  try {
    const token = req.headers["authorization"]?.split(" ")[1];
    console.log(token);

    // Verify input token with a valid JWT Secret Key
    const decoded = jwt.verify(<string>token, <string>process.env.JWTSECRETKEY);
    next();
  } catch (error) {
    res.status(401).json({
      message: "Auth failed",
    });
  }
};
